import { ReactNode } from 'react';
import Menu from '../../../lib/rc-components/menu';
import Record from '../data-set/Record';
import { Select, SelectProps } from '../select/Select';
export interface AutoCompleteProps extends SelectProps {
    matcher: (value: string, inputText: string) => boolean;
}
export default class AutoComplete<T extends AutoCompleteProps> extends Select<T> {
    static displayName: string;
    menu?: Menu | null;
    isChoose?: boolean;
    inputText: string;
    static defaultProps: {
        searchable: boolean;
        suffixCls: string;
        matcher: (value: string, inputText: string) => boolean;
        combo: boolean;
        checkValueOnOptionsChange: boolean;
        onOption: ({ record }: {
            record: any;
        }) => {
            disabled: any;
        };
        selectAllButton: boolean;
        clearButton: boolean;
        popupPlacement: string;
        triggerShowDelay: number;
        triggerHiddenDelay: number;
        viewMode: import("../trigger-field/enum").TriggerViewMode;
        multiple: boolean;
        border: boolean;
        valueChangeAction: import("../text-field/enum").ValueChangeAction;
        waitType: import("../core/enum").WaitType;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    get multiple(): boolean;
    get range(): boolean;
    getTriggerIconFont(): string;
    getNotFoundContent(): null;
    getOmitPropsKeys(): string[];
    isSearchFieldInPopup(): boolean | undefined;
    renderLengthInfo(maxLength?: number, inputLength?: number): ReactNode;
    handleChange(e: any): void;
    choose(record?: Record | null): void;
    handleFocus(e: any): void;
    handleBlur(e: any): void;
    getMenu(menuProps?: object): ReactNode;
}
